Package org.pgpainless.decryption_verification

# Class MessageMetadata.LiteralData

java.lang.Object
org.pgpainless.decryption_verification.MessageMetadata.LiteralData

All Implemented Interfaces:
  `MessageMetadata.Nested`, `MessageMetadata.Packet`

Enclosing class:
  `MessageMetadata`

public static class MessageMetadata.LiteralData extends Object implements MessageMetadata.Nested

## Field Summary

Fields
Modifier and Type
Field
Description
`protected String`
`fileName`
`protected StreamEncoding`
`format`
`protected Date`
`modificationDate`

## Constructor Summary

Constructors
Constructor
Description
`LiteralData()`
`LiteralData(String fileName, Date modificationDate, StreamEncoding format)`

## Method Summary

Modifier and Type
Method
Description
`String`
`getFileName()`
Return the value of the filename field.
`StreamEncoding`
`getFormat()`
Return the value of the format field.
`Date`
`getModificationDate()`
Return the value of the modification date field.
`boolean`
`hasNestedChild()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### fileName

protected String fileName

### modificationDate

protected Date modificationDate

### format

protected StreamEncoding format

## Constructor Details

### LiteralData

public LiteralData()

### LiteralData

public LiteralData(@Nonnull String fileName, @Nonnull Date modificationDate, @Nonnull StreamEncoding format)

## Method Details

### getFileName

@Nonnull public String getFileName()
Return the value of the filename field. An empty String

    ""

indicates no filename.

Returns:
  filename

### getModificationDate

@Nonnull public Date getModificationDate()
Return the value of the modification date field. A special date

    new Date(0L)

indicates no modification date.

Returns:
  modification date

### getFormat

@Nonnull public StreamEncoding getFormat()
Return the value of the format field.

Returns:
  format

### hasNestedChild

public boolean hasNestedChild()

Specified by:
  `hasNestedChild` in interface `MessageMetadata.Nested`